/**
 * Radius Server
 * Copyright (c) 2017 Asustor Inc. All rights reserved.
 */
/**
 * @class AS.ARC.apps.radiusserver.fn
 * @extends AS.ARC.apps._fn
 * @author JerryJiang 2017-06-23
 */
Ext.define('AS.ARC.apps.radiusserver.fn', {
	extend: 'AS.ARC.apps._fn'
});

/**
 * @class AS.ARC.apps.radiusserver.page
 * @extends AS.ARC.apps._page
 * @author JerryJiang 2017-06-23
 */
Ext.define('AS.ARC.apps.radiusserver.page', {
	extend: 'AS.ARC.apps._page'
});

/**
 * @class AS.ARC.apps.radiusserver.main
 * @extends AS.ARC._appLeftSelectorRightTabPanel
 * @author JerryJiang 2017-06-23
 */
Ext.define('AS.ARC.apps.radiusserver.main', {
	extend: 'AS.ARC._appLeftSelectorRightTabPanel',

	appTag: 'radiusserver',
	title: 'Radius Server',

	appConfig: {
		"module": "AS.ARC.apps.radiusserver.main",
		"fnJs": [
			"settings.js",
			"radiusClient.js",
			"radiusUser.js",
			"log.js"
		]
	},
	// Not support functions
	notSupportFns: [],

	createWindow: function() {
		var appMain = this,
			desktop = this.core.getDesktop(),
			win = desktop.getWindow(this.id);
		this.menus = [
			[_S('COMMON', 'SETTING'), 'settings'],
			[_S('RADIUSSERVER', 'RADIUS_CLIENT'), 'radiusClient'],
			[_S('RADIUSSERVER', 'RADIUS_USER'), 'radiusUser'],
			[_S('SYSTEMINFORMATION', 'FN_LOG'), 'log']
		];

		if (!win) {
			win = desktop.createWindow({
				app: this,
				id: this.id,
				title: this.title,
				animCollapse: false,
				border: false,
				layout: 'fit',
				items: [{
					itemId: 'main',
					layout: 'border',
					border: false,
					items: [{
						region: 'west',
						itemId: 'selector',
						cls: 'as-selector-panel',
						split: true,
						maxWidth: 350,
						minWidth: 64,
						items: [],
						listeners: {
							render: function() {
								appMain.win.el.mask(_S('COMMON', 'LOADING'));
							}
						}
					}, {
						xtype: 'panel',
						itemId: 'container',
						layout: 'card',
						region: 'center',
						cls: 'as-function-panel',
						activeItem: 0,
						items: []
					}]
				}],
				listeners: {
					afterrender: function(me) {
						var sc = appMain.getSelectorConfig();
						me.down('[itemId=selector]').add(sc);
						appMain.win.el.unmask();
					}
				}
			});

			this.win = win;
		}

		return win;
	}
});